[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

List of all members
GeneralScorer< FUNCTOR > Class Template Reference

`#include <vigra/random_forest_3/random_forest_common.hxx>`

## Detailed Description

template<typename FUNCTOR>
class vigra::rf3::detail::GeneralScorer< FUNCTOR >

Abstract scorer that iterates over all split candidates, uses FUNCTOR to compute a score, and saves the split with the minimum score.

The documentation for this class was generated from the following file:

- vigra/random_forest_3/random_forest_common.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4